# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "sn_client"
version = "0.46.7"
authors = ["MaidSafe Developers <dev@maidsafe.net>"]
description = "Safe Network Client"
homepage = "https://maidsafe.net"
documentation = "https://docs.rs/sn_client"
readme = "README.md"
keywords = ["Safe", "Network", "SafeNetwork"]
license = "GPL-3.0"
repository = "https://github.com/maidsafe/sn_client"
[package.metadata.docs.rs]
features = ["simulated-payouts"]
[dependencies.anyhow]
version = "1.0.36"

[dependencies.async-trait]
version = "~0.1.41"

[dependencies.bincode]
version = "1.2.1"

[dependencies.bytes]
version = "1.0.1"
features = ["serde"]

[dependencies.chrono]
version = "~0.4.0"
features = ["serde"]

[dependencies.crdts]
version = "~4.3.0"

[dependencies.dirs-next]
version = "1.0.1"

[dependencies.futures]
version = "~0.3.5"

[dependencies.futures-util]
version = "~0.3.4"

[dependencies.lazy_static]
version = "1.4.0"

[dependencies.log]
version = "~0.4.8"

[dependencies.miscreant]
version = "~0.4.2"
features = ["soft-aes"]

[dependencies.qp2p]
version = "~0.9.13"

[dependencies.rand]
version = "~0.7.3"

[dependencies.regex]
version = "1.3.1"

[dependencies.rmp-serde]
version = "~0.15.1"

[dependencies.self_encryption]
version = "~0.19.4"

[dependencies.serde]
version = "1.0.111"
features = ["derive", "rc"]

[dependencies.serde_json]
version = "1.0.53"

[dependencies.sha3]
version = "~0.8.2"

[dependencies.sn_data_types]
version = "~0.14.0"

[dependencies.sn_messaging]
version = "3.0.0"

[dependencies.sn_transfers]
version = "~0.3.0"

[dependencies.thiserror]
version = "1.0.23"

[dependencies.threshold_crypto]
version = "0.4.0"

[dependencies.tiny-keccak]
version = "1.5.0"

[dependencies.tokio]
version = "~0.2.21"
features = ["rt-core", "blocking", "stream", "rt-util"]

[dependencies.unwrap]
version = "1.2.0"

[dependencies.url]
version = "2.1.0"

[dependencies.xor_name]
version = "1.1.3"
[dev-dependencies.serde_json]
version = "1.0.9"

[dev-dependencies.tracing-subscriber]
version = "~0.2.15"

[features]
default = ["simulated-payouts"]
simulated-payouts = ["sn_data_types/simulated-payouts", "sn_transfers/simulated-payouts", "sn_messaging/simulated-payouts"]
